Bug 1186906 - [trackerbug] lxd 4.15 update
[trackerbug] lxd 4.15 update
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Containers
Leap 15.3
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Containers Team
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-06 07:06 UTC by Aleksa Sarai
Modified: 2022-05-05 06:40 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksa Sarai 2021-06-06 07:06:38 UTC
- Update to LXD 4.15. The full upstream changelog is available from:
  https://discuss.linuxcontainers.org/t/lxd-4-15-has-been-released/11252

  + Network interface hotplug in VMs
  + Configurable shutdown timeout
  + New persistent warnings (time skew, apparmor and virtiofsd)
  + Location field in /dev/lxd API
  + New type and name columns in lxc config trust list
  + Cluster members acting as database stand-by now visible
  + lxc monitor --pretty now supported with lifecycle events
  + New --expire flag for lxc publish
  + Requestor now recorded in lifecyle events
  + Proxy header support on main API endpoint
  + Full swagger coverage of REST API
Comment 1 OBSbugzilla Bot 2021-06-25 14:10:15 UTC
This is an autogenerated message for OBS integration:
This bug (1186906) was mentioned in
https://build.opensuse.org/request/show/902390 15.2 / lxd
https://build.opensuse.org/request/show/902391 15.3 / lxd
Comment 2 Swamp Workflow Management 2021-07-02 16:16:38 UTC
openSUSE-RU-2021:0957-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1186786,1186906
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    lxd-4.15-lp152.2.38.1
Comment 3 Aleksa Sarai 2021-07-02 16:21:44 UTC
Released.
Comment 4 OBSbugzilla Bot 2021-08-02 10:30:21 UTC
This is an autogenerated message for OBS integration:
This bug (1186906) was mentioned in
https://build.opensuse.org/request/show/909717 15.3 / lxd
Comment 5 Swamp Workflow Management 2021-08-10 07:18:45 UTC
openSUSE-RU-2021:1122-1: An update that has 5 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1102408,1186647,1186786,1186906,1188946
CVE References: 
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP3 (src):    lxd-4.16-bp153.3.6.1
Comment 6 OBSbugzilla Bot 2021-08-20 14:40:21 UTC
This is an autogenerated message for OBS integration:
This bug (1186906) was mentioned in
https://build.opensuse.org/request/show/913362 15.3 / lxd
Comment 7 Swamp Workflow Management 2021-08-25 19:30:40 UTC
# maintenance_jira_update_notice
openSUSE-RU-2021:1195-1: An update that has 6 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1102408,1186647,1186786,1186906,1188946,1189645
CVE References: 
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP3 (src):    lxd-4.17-bp153.3.9.1
Comment 8 OBSbugzilla Bot 2021-12-13 04:40:14 UTC
This is an autogenerated message for OBS integration:
This bug (1186906) was mentioned in
https://build.opensuse.org/request/show/940127 15.3 / lxd
Comment 9 OBSbugzilla Bot 2022-05-05 06:40:09 UTC
This is an autogenerated message for OBS integration:
This bug (1186906) was mentioned in
https://build.opensuse.org/request/show/975026 15.3 / lxd